Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2844463002: PaymentHandler: Implement PaymentInstruments.delete(). (Closed)

Created:
2 years, 3 months ago by zino
Modified:
2 years, 3 months ago
CC:
chromium-reviews, qsr+mojo_chromium.org, gogerald+paymentswatch_chromium.org, Aaron Boodman, viettrungluu+watch_chromium.org, jam, yzshen+watch_chromium.org, abarth-chromium, haraken, rouslan+payments_chromium.org, blink-reviews, darin-cc_chromium.org, mahmadi+paymentswatch_chromium.org, darin (slow to review), sebsg+paymentswatch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

PaymentHandler: Implement PaymentInstruments.delete(). Remove the stored payment instrument in associated service worker registration. Related Spec Link: https://w3c.github.io/webpayments-payment-handler/#paymentinstruments-interface BUG=661608 TEST=payment_manager_unittest.cc, payment-instruments.html Review-Url: https://codereview.chromium.org/2844463002 Cr-Commit-Position: refs/heads/master@{#467304} Committed: https://chromium.googlesource.com/chromium/src/+/bd27d5fb3a918c21d8231b32fa0ec929ec66afae

Patch Set 1 #

Total comments: 13

Patch Set 2 : PaymentHandler: Implement PaymentInstruments.delete(). #

Patch Set 3 : PaymentHandler: Implement PaymentInstruments.delete(). #

Patch Set 4 : PaymentHandler: Implement PaymentInstruments.delete(). #

Unified diffs Side-by-side diffs Delta from patch set Stats (+221 lines, -30 lines) Patch
M components/payments/mojom/payment_app.mojom View 1 2 1 chunk +4 lines, -2 lines 0 comments Download
M content/browser/payments/payment_app_database.h View 1 2 3 4 chunks +23 lines, -4 lines 0 comments Download
M content/browser/payments/payment_app_database.cc View 1 2 3 7 chunks +68 lines, -8 lines 0 comments Download
M content/browser/payments/payment_manager.h View 1 2 1 chunk +5 lines, -2 lines 0 comments Download
M content/browser/payments/payment_manager.cc View 1 2 1 chunk +13 lines, -4 lines 0 comments Download
M content/browser/payments/payment_manager_unittest.cc View 1 2 3 chunks +42 lines, -4 lines 0 comments Download
M third_party/WebKit/LayoutTests/http/tests/payments/payment-instruments.html View 1 chunk +37 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/payments/PaymentInstruments.h View 2 chunks +5 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/modules/payments/PaymentInstruments.cpp View 2 chunks +23 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/modules/payments/PaymentInstruments.idl View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 14 (6 generated)
zino
PTAL
2 years, 3 months ago (2017-04-25 14:41:43 UTC) #3
please use gerrit instead
https://codereview.chromium.org/2844463002/diff/1/components/payments/mojom/payment_app.mojom File components/payments/mojom/payment_app.mojom (right): https://codereview.chromium.org/2844463002/diff/1/components/payments/mojom/payment_app.mojom#newcode51 components/payments/mojom/payment_app.mojom:51: DeletePaymentInstrument(string instrumentKey) Let's use under_score_variable_names everywhere in the file. ...
2 years, 3 months ago (2017-04-25 15:21:40 UTC) #4
Tom Sepez
mojom LGTM
2 years, 3 months ago (2017-04-25 16:23:23 UTC) #5
zino
Thank you for review. PTAL https://codereview.chromium.org/2844463002/diff/1/components/payments/mojom/payment_app.mojom File components/payments/mojom/payment_app.mojom (right): https://codereview.chromium.org/2844463002/diff/1/components/payments/mojom/payment_app.mojom#newcode51 components/payments/mojom/payment_app.mojom:51: DeletePaymentInstrument(string instrumentKey) On 2017/04/25 ...
2 years, 3 months ago (2017-04-25 21:48:51 UTC) #6
zino
https://codereview.chromium.org/2844463002/diff/1/components/payments/mojom/payment_app.mojom File components/payments/mojom/payment_app.mojom (right): https://codereview.chromium.org/2844463002/diff/1/components/payments/mojom/payment_app.mojom#newcode51 components/payments/mojom/payment_app.mojom:51: DeletePaymentInstrument(string instrumentKey) I uploaded separated CL. https://codereview.chromium.org/2839813005
2 years, 3 months ago (2017-04-25 21:59:02 UTC) #7
please use gerrit instead
lgtm
2 years, 3 months ago (2017-04-25 22:27:07 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2844463002/60001
2 years, 3 months ago (2017-04-26 10:38:55 UTC) #11
commit-bot: I haz the power
2 years, 3 months ago (2017-04-26 12:09:47 UTC) #14
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/bd27d5fb3a918c21d8231b32fa0e...

Powered by Google App Engine
This is Rietveld 408576698